| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/partialorder.h File Reference

Generic finite partial order. More...

`#include "csextern.h"`
`#include "csutil/array.h"`
`#include "csutil/comparator.h"`
`#include "csutil/hash.h"`
`#include "csutil/list.h"`
`#include "csutil/ref.h"`
`#include "csutil/util.h"`

Go to the source code of this file.

## Classes
class | csPartialOrder< T >
| A generic finite partial order class. More...
class | csPartialOrder< T >::Node

## Detailed Description

Generic finite partial order.

Definition in file partialorder.h.